{"openapi":"3.1.0","info":{"title":"Posty API","version":"0.3.81","description":"Programmatic access to Posty workspaces: posts, approvals, comments, channels, media, campaigns, client shares, questionnaires, analytics, link in bio, inbox, Today and members. Authenticate with an API key or a Better Auth OAuth access token with mcp:tools scope. OAuth requests require X-Workspace-Id, except GET /v1/workspaces.","x-logo":{"url":"https://posty.social/brand/rebrand-v1/logo-light.png","altText":"Posty"}},"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"pk_live_*","description":"Workspace-scoped API key. Include as `Authorization: Bearer pk_live_...`."},"OAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Better Auth OAuth access token with mcp:tools scope. Send X-Workspace-Id to select a workspace from GET /v1/workspaces. Current membership permissions apply."}},"schemas":{"ChannelList":{"type":"object","properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Channel"}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["object","data","has_more","next_cursor"]},"Channel":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"provider":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"providerAccountId":{"type":"string"},"name":{"type":"string"},"accountLabel":{"type":"string","nullable":true},"avatarUrl":{"type":"string","nullable":true},"status":{"type":"string","enum":["pending","active","error","disconnected"]},"missingPermissions":{"type":"array","items":{"type":"string"},"description":"Permissions the connection lacks, as the platform names them. Features that need them stop working until the channel is reconnected with every permission allowed.","example":["read_insights"]},"connectedByUserId":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","provider","providerAccountId","name","accountLabel","avatarUrl","status","missingPermissions","connectedByUserId","createdAt","updatedAt"]},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["authentication_error","permission_error","invalid_request_error","not_found_error","conflict_error","rate_limit_error","api_error"]},"code":{"type":"string","enum":["authentication_required","invalid_api_key","api_key_expired","api_key_revoked","api_key_orphaned","missing_scope","validation_failed","invalid_schedule","invalid_channel","invalid_media","duplicate_channel_content","storage_limit_exceeded","post_limit_exceeded","workspace_inactive","workspace_required","workspace_not_found","workspace_mismatch","plan_not_eligible","media_not_uploaded","post_not_editable","post_not_found","channel_not_found","media_not_found","comment_not_found","invalid_transition","approval_required","channel_inactive","media_not_ready","resource_not_found","limit_exceeded","feature_not_available","campaign_not_found","persona_not_found","objective_not_found","questionnaire_not_found","response_not_found","link_not_found","template_not_found","block_not_found","conversation_not_found","post_thread_not_found","invitation_not_found","member_not_found","last_workspace_admin","today_item_not_found","user_session_required","folder_not_found","review_request_not_found","campaigns_disabled","campaign_archived","campaign_status_conflict","invalid_campaign_window","persona_not_in_campaign","post_not_in_campaign","share_not_found","campaign_limit_exceeded","questionnaire_archived","questionnaire_not_active","questionnaire_limit_exceeded","response_not_submitted","member_limit_exceeded","channel_limit_exceeded","handle_unavailable","operating_model_not_agency","delegated_connect_not_available","organization_not_found","idempotency_key_in_use","idempotency_in_progress","rate_limit_exceeded","internal_error"]},"message":{"type":"string"},"param":{"type":"string"},"docUrl":{"type":"string"},"requestId":{"type":"string"}},"required":["type","code","message","requestId"]}},"required":["error"]},"CommentList":{"type":"object","properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Comment"}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["object","data","has_more","next_cursor"]},"Comment":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"body":{"type":"string"},"isChangeRequest":{"type":"boolean"},"visibility":{"type":"string","enum":["team","all"]},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"}},"required":["id","postId","body","isChangeRequest","visibility","createdBy","createdAt"]},"CreateCommentRequest":{"type":"object","properties":{"body":{"type":"string","minLength":1,"maxLength":10000},"isChangeRequest":{"type":"boolean"}},"required":["body"]},"MediaList":{"type":"object","properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Media"}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["object","data","has_more","next_cursor"]},"Media":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"folderId":{"type":"string","nullable":true},"title":{"type":"string"},"thumbhash":{"type":"string","nullable":true,"description":"Base64 ThumbHash (https://evanw.github.io/thumbhash/) of the thumbnail, for a blurred placeholder while it loads. Null until one has been computed."},"sizeBytes":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"contentType":{"type":"string"},"etag":{"type":"string","nullable":true},"status":{"type":"string","enum":["pending","processing","ready","failed","deduped"]},"width":{"type":"integer","nullable":true,"minimum":-9007199254740991,"maximum":9007199254740991},"height":{"type":"integer","nullable":true,"minimum":-9007199254740991,"maximum":9007199254740991},"altText":{"type":"string","nullable":true},"createdAt":{"type":"string","nullable":true,"format":"date-time"},"updatedAt":{"type":"string","nullable":true,"format":"date-time"},"duration":{"type":"integer","nullable":true,"minimum":-9007199254740991,"maximum":9007199254740991},"url":{"type":"string","nullable":true},"thumbnailUrl":{"type":"string","nullable":true}},"required":["id","workspaceId","folderId","title","thumbhash","sizeBytes","contentType","etag","status","width","height","altText","createdAt","updatedAt","duration","url","thumbnailUrl"]},"CreateMediaResponse":{"type":"object","properties":{"id":{"type":"string"},"uploadUrl":{"type":"string"},"key":{"type":"string"},"expiresAt":{"type":"string","format":"date-time"}},"required":["id","uploadUrl","key","expiresAt"]},"CreateMediaRequest":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":500},"contentType":{"type":"string","enum":["image/jpeg","image/png","image/webp","image/gif","video/mp4","video/quicktime"]},"sizeBytes":{"type":"integer","minimum":1,"maximum":5000000000}},"required":["title","contentType","sizeBytes"]},"CompleteMediaRequest":{"type":"object","properties":{"etag":{"type":"string"},"width":{"type":"integer"},"height":{"type":"integer"},"duration":{"type":"integer"}}},"MediaFolderList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MediaFolder"}}},"required":["data"]},"MediaFolder":{"type":"object","properties":{"id":{"type":"string"},"parentId":{"type":"string","nullable":true},"name":{"type":"string"},"color":{"type":"string","nullable":true,"enum":["red","orange","yellow","green","blue","purple","grey",null]},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"mediaCount":{"type":"integer","description":"Files directly in this folder. Present on list and create."}},"required":["id","parentId","name","color","createdBy","createdAt","updatedAt"]},"CreateMediaFolderRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":120,"pattern":"^[^/]*$"},"parentId":{"type":"string","nullable":true,"minLength":1}},"required":["name"]},"RenameMediaFolderRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":120,"pattern":"^[^/]*$"}},"required":["name"]},"MoveMediaFolderRequest":{"type":"object","properties":{"parentId":{"type":"string","nullable":true,"minLength":1}},"required":["parentId"]},"MediaFolderColorResult":{"type":"object","properties":{"folderIds":{"type":"array","items":{"type":"string"}}},"required":["folderIds"]},"SetMediaFolderColorRequest":{"type":"object","properties":{"folderIds":{"type":"array","items":{"type":"string","minLength":1},"minItems":1,"maxItems":200},"color":{"type":"string","nullable":true,"enum":["red","orange","yellow","green","blue","purple","grey",null]}},"required":["folderIds","color"]},"MoveMediaItemsResult":{"type":"object","properties":{"moved":{"type":"integer"}},"required":["moved"]},"MoveMediaItemsRequest":{"type":"object","properties":{"mediaIds":{"type":"array","items":{"type":"string","minLength":1},"minItems":1,"maxItems":200},"folderId":{"type":"string","nullable":true,"minLength":1}},"required":["mediaIds","folderId"]},"RenameMediaRequest":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":500}},"required":["title"]},"SetMediaAltTextRequest":{"type":"object","properties":{"altText":{"type":"string","nullable":true,"maxLength":1000}},"required":["altText"]},"MediaUsage":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"postId":{"type":"string"},"postContentId":{"type":"string"},"postStatus":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"body":{"type":"string","nullable":true}},"required":["postId","postContentId","postStatus","platform","body"]}}},"required":["data"]},"StorageUsage":{"type":"object","properties":{"usedBytes":{"type":"integer"},"limitBytes":{"type":"integer","nullable":true},"remainingBytes":{"type":"integer","nullable":true},"unlimited":{"type":"boolean"}},"required":["usedBytes","limitBytes","remainingBytes","unlimited"]},"PostList":{"type":"object","properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Post"}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["object","data","has_more","next_cursor"]},"Post":{"type":"object","properties":{"createdBy":{"type":"string","nullable":true},"id":{"type":"string"},"approvalMode":{"type":"string","nullable":true,"enum":["none","optional","required","multi_level",null]},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"workspaceId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"body":{"type":"string"},"content":{"type":"array","items":{"$ref":"#/components/schemas/PostContent"}}},"required":["createdBy","id","approvalMode","scheduledAt","status","workspaceId","createdAt","updatedAt"]},"PostContent":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"channelId":{"type":"string","nullable":true},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"body":{"type":"string","nullable":true},"firstComment":{"type":"string","nullable":true},"firstCommentExternalId":{"type":"string","nullable":true},"firstCommentError":{"type":"string","nullable":true},"contentType":{"type":"string","nullable":true,"enum":["image","video","reel","story","carousel","text",null]},"thumbnailUrl":{"type":"string","nullable":true},"permalink":{"type":"string","nullable":true},"hashtags":{"type":"string","nullable":true},"updatedBy":{"type":"string","nullable":true},"deliveryStatus":{"type":"string","enum":["pending","in_progress","delivered","failed","permanently_failed","cancelled","external"]},"deliveryAttempts":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"deliveryError":{"type":"string","nullable":true},"deliveryErrorCategory":{"type":"string","nullable":true,"enum":["transform","platform","auth","media_proxy","validation","unknown",null]},"externalPostId":{"type":"string","nullable":true},"consecutiveMissingFetches":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"metadata":{"type":"object","nullable":true,"additionalProperties":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"array","items":{"type":"string"}},{"nullable":true}]}},"media":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"title":{"type":"string"},"url":{"type":"string","nullable":true},"thumbnailUrl":{"type":"string","nullable":true}},"required":["id","title","url","thumbnailUrl"]}},"deliveredAt":{"type":"string","nullable":true,"format":"date-time"},"nextRetryAt":{"type":"string","nullable":true,"format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"historyBackfilledAt":{"type":"string","nullable":true,"format":"date-time"},"deletedOnPlatformAt":{"type":"string","nullable":true,"format":"date-time"},"firstCommentPostedAt":{"type":"string","nullable":true,"format":"date-time"}},"required":["id","postId","channelId","platform","body","firstComment","firstCommentExternalId","firstCommentError","contentType","thumbnailUrl","permalink","hashtags","updatedBy","deliveryStatus","deliveryAttempts","deliveryError","deliveryErrorCategory","externalPostId","consecutiveMissingFetches","metadata","media","deliveredAt","nextRetryAt","updatedAt","historyBackfilledAt","deletedOnPlatformAt","firstCommentPostedAt"]},"CreatePostRequest":{"type":"object","properties":{"scheduledAt":{"type":"string","format":"date-time"},"approvalMode":{"type":"string","enum":["none","optional","required","multi_level"]},"content":{"type":"array","items":{"type":"object","properties":{"channelId":{"type":"string"},"body":{"type":"string","nullable":true},"firstComment":{"type":"string","nullable":true,"description":"First comment or reply to publish after the post on supported platforms. At most 10,000 Unicode codepoints after trimming whitespace. Non-empty text requires the workspace first-comment entitlement. Null or blank text means no comment."},"metadata":{"type":"object","additionalProperties":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"array","items":{"type":"string"}},{"nullable":true}]}},"mediaIds":{"type":"array","items":{"type":"string"}}},"required":["channelId"]},"minItems":1}},"required":["content"]},"UpdatePostRequest":{"type":"object","properties":{"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"approvalMode":{"type":"string","enum":["none","optional","required","multi_level"]}}},"UpdatePostContentRequest":{"type":"object","properties":{"body":{"type":"string","nullable":true},"firstComment":{"type":"string","nullable":true,"description":"First comment or reply on supported platforms. At most 10,000 Unicode codepoints after trimming whitespace. Omit to preserve the saved value; null or blank text clears it. Non-empty text requires the workspace first-comment entitlement."},"metadata":{"type":"object","additionalProperties":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"array","items":{"type":"string"}},{"nullable":true}]}}}},"ReplaceContentMediaRequest":{"type":"object","properties":{"mediaIds":{"type":"array","items":{"type":"string"}}},"required":["mediaIds"]},"CalendarPostList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CalendarPost"}}},"required":["data"]},"CalendarPost":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"body":{"type":"string","description":"Display label: platform title or first caption, or a media fallback."},"campaignId":{"type":"string","nullable":true},"channelIds":{"type":"array","items":{"type":"string"}},"platforms":{"type":"array","items":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]}},"thumbnail":{"type":"string","nullable":true,"description":"Short-lived signed preview URL, when the post has one."},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"deliveryCounts":{"type":"object","properties":{"delivered":{"type":"integer"},"failed":{"type":"integer"},"pending":{"type":"integer"},"permanentlyFailed":{"type":"integer"},"total":{"type":"integer"}},"required":["delivered","failed","pending","permanentlyFailed","total"]},"deliveryErrorCategory":{"type":"string","nullable":true}},"required":["id","status","body","campaignId","channelIds","platforms","thumbnail","scheduledAt","deliveryCounts","deliveryErrorCategory"]},"BacklogPostList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/BacklogPost"}}},"required":["data"]},"BacklogPost":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"body":{"type":"string","description":"Display label: platform title or first caption, or a media fallback."},"campaignId":{"type":"string","nullable":true},"channelIds":{"type":"array","items":{"type":"string"}},"platforms":{"type":"array","items":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]}},"thumbnail":{"type":"string","nullable":true,"description":"Short-lived signed preview URL, when the post has one."},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","status","body","campaignId","channelIds","platforms","thumbnail","updatedAt"]},"BacklogCount":{"type":"object","properties":{"count":{"type":"integer"}},"required":["count"]},"PostState":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"approvalMode":{"type":"string","nullable":true,"enum":["none","optional","required","multi_level",null]},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","status","approvalMode","scheduledAt","updatedAt"]},"SetPostApprovalModeRequest":{"type":"object","properties":{"approvalMode":{"type":"string","nullable":true,"enum":["none","optional","required","multi_level",null]}},"required":["approvalMode"]},"PostRevision":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"version":{"type":"integer"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"}},"required":["id","postId","version","status","scheduledAt","createdBy","createdAt"]},"CancelledDelivery":{"type":"object","properties":{"postContentId":{"type":"string"},"deliveryStatus":{"type":"string","enum":["pending","in_progress","delivered","failed","permanently_failed","cancelled","external"]}},"required":["postContentId","deliveryStatus"]},"CancelPostDeliveryRequest":{"type":"object","properties":{"postContentId":{"type":"string","minLength":1}},"required":["postContentId"]},"BulkSchedulePostsResult":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PostState"}}},"required":["data"]},"BulkSchedulePostsRequest":{"type":"object","properties":{"posts":{"type":"array","items":{"type":"object","properties":{"postId":{"type":"string","minLength":1},"expectedUpdatedAt":{"type":"string","format":"date-time"},"scheduledAt":{"type":"string","format":"date-time"}},"required":["postId","expectedUpdatedAt","scheduledAt"]},"minItems":1,"maxItems":50}},"required":["posts"]},"ReviewRequestList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ReviewRequest"}}},"required":["data"]},"ReviewRequest":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"requestedBy":{"type":"string","nullable":true},"email":{"type":"string"},"userId":{"type":"string","nullable":true},"invitationId":{"type":"string","nullable":true},"batchId":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"status":{"type":"string","enum":["pending","approved","changes_requested","superseded","cancelled"]},"respondedAt":{"type":"string","nullable":true,"format":"date-time"},"lastNotifiedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"reviewerName":{"type":"string","nullable":true},"reviewerImage":{"type":"string","nullable":true},"requesterName":{"type":"string","nullable":true}},"required":["id","postId","audience","requestedBy","email","userId","invitationId","batchId","message","status","respondedAt","lastNotifiedAt","createdAt","updatedAt","reviewerName","reviewerImage","requesterName"]},"CancelledReviewRequest":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"requestedBy":{"type":"string","nullable":true},"email":{"type":"string"},"userId":{"type":"string","nullable":true},"invitationId":{"type":"string","nullable":true},"batchId":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"status":{"type":"string","enum":["pending","approved","changes_requested","superseded","cancelled"]},"respondedAt":{"type":"string","nullable":true,"format":"date-time"},"lastNotifiedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","postId","audience","requestedBy","email","userId","invitationId","batchId","message","status","respondedAt","lastNotifiedAt","createdAt","updatedAt"]},"PendingReviewRequestList":{"type":"object","properties":{"object":{"type":"string","enum":["list"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PendingReviewRequest"}},"has_more":{"type":"boolean"},"next_cursor":{"type":"string","nullable":true}},"required":["object","data","has_more","next_cursor"]},"PendingReviewRequest":{"type":"object","properties":{"id":{"type":"string"},"postId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"requestedBy":{"type":"string","nullable":true},"email":{"type":"string"},"userId":{"type":"string","nullable":true},"invitationId":{"type":"string","nullable":true},"batchId":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"status":{"type":"string","enum":["pending","approved","changes_requested","superseded","cancelled"]},"respondedAt":{"type":"string","nullable":true,"format":"date-time"},"lastNotifiedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"reviewerName":{"type":"string","nullable":true},"reviewerImage":{"type":"string","nullable":true},"postTitle":{"type":"string"},"postUpdatedAt":{"type":"string","format":"date-time","description":"Pass as expectedUpdatedAt when rescheduling this post."}},"required":["id","postId","audience","requestedBy","email","userId","invitationId","batchId","message","status","respondedAt","lastNotifiedAt","createdAt","updatedAt","reviewerName","reviewerImage","postTitle","postUpdatedAt"]},"ReviewBatch":{"type":"object","properties":{"id":{"type":"string"},"message":{"type":"string","nullable":true},"total":{"type":"integer"},"pending":{"type":"integer"}},"required":["id","message","total","pending"]},"CampaignList":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"name":{"type":"string"},"objectiveId":{"type":"string","nullable":true},"creativeDirection":{"type":"string","nullable":true},"status":{"type":"string","enum":["draft","active","completed","archived"]},"startAt":{"type":"string","nullable":true,"format":"date-time"},"endAt":{"type":"string","nullable":true,"format":"date-time"},"color":{"type":"string","nullable":true},"ongoing":{"type":"boolean"},"personaIds":{"type":"array","items":{"type":"string"}},"postCounts":{"type":"object","additionalProperties":{"type":"number"}},"coverImageUrl":{"type":"string","nullable":true},"internalNotes":{"type":"string","nullable":true},"monthlyPostTarget":{"type":"integer","nullable":true},"progressCount":{"type":"integer","nullable":true},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","audience","name","objectiveId","creativeDirection","status","startAt","endAt","color","ongoing","personaIds","postCounts","coverImageUrl"]}}},"required":["data"]},"Campaign":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"name":{"type":"string"},"objectiveId":{"type":"string","nullable":true},"creativeDirection":{"type":"string","nullable":true},"status":{"type":"string","enum":["draft","active","completed","archived"]},"startAt":{"type":"string","nullable":true,"format":"date-time"},"endAt":{"type":"string","nullable":true,"format":"date-time"},"color":{"type":"string","nullable":true},"ongoing":{"type":"boolean"},"personaIds":{"type":"array","items":{"type":"string"}},"postCounts":{"type":"object","additionalProperties":{"type":"number"}},"coverImageUrl":{"type":"string","nullable":true},"internalNotes":{"type":"string","nullable":true},"monthlyPostTarget":{"type":"integer","nullable":true},"progressCount":{"type":"integer","nullable":true},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","audience","name","objectiveId","creativeDirection","status","startAt","endAt","color","ongoing","personaIds","postCounts","coverImageUrl"]},"CreateCampaignRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"objectiveId":{"type":"string","nullable":true,"minLength":1},"personaIds":{"type":"array","items":{"type":"string","minLength":1},"maxItems":50,"default":[]},"creativeDirection":{"type":"string","nullable":true,"maxLength":5000},"internalNotes":{"type":"string","nullable":true,"maxLength":5000},"status":{"type":"string","enum":["draft","active","completed","archived"],"default":"draft"},"startAt":{"type":"string","nullable":true,"format":"date-time"},"endAt":{"type":"string","nullable":true,"format":"date-time"},"monthlyPostTarget":{"type":"integer","nullable":true,"minimum":1,"maximum":1000},"color":{"type":"string","nullable":true,"maxLength":32}},"required":["name"]},"UpdateCampaignRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"objectiveId":{"type":"string","nullable":true,"minLength":1},"creativeDirection":{"type":"string","nullable":true,"maxLength":5000},"internalNotes":{"type":"string","nullable":true,"maxLength":5000},"startAt":{"type":"string","nullable":true,"format":"date-time"},"endAt":{"type":"string","nullable":true,"format":"date-time"},"monthlyPostTarget":{"type":"integer","nullable":true,"minimum":1,"maximum":1000},"color":{"type":"string","nullable":true,"maxLength":32}}},"SetCampaignStatusRequest":{"type":"object","properties":{"status":{"type":"string","enum":["draft","active","completed","archived"]}},"required":["status"]},"CampaignPersonas":{"type":"object","properties":{"campaignId":{"type":"string"},"personaIds":{"type":"array","items":{"type":"string"}}},"required":["campaignId","personaIds"]},"SetCampaignPersonasRequest":{"type":"object","properties":{"personaIds":{"type":"array","items":{"type":"string","minLength":1},"maxItems":50}},"required":["personaIds"]},"CampaignResults":{"type":"object","properties":{"campaignId":{"type":"string"},"audience":{"type":"string","enum":["team","client"]},"available":{"type":"boolean"},"findings":{"type":"array","items":{"type":"string"}},"windowDays":{"type":"integer"},"totals":{"type":"object","nullable":true,"properties":{"reach":{"type":"number"},"impressions":{"type":"number"},"likes":{"type":"number"},"comments":{"type":"number"},"shares":{"type":"number"},"saves":{"type":"number"},"clicks":{"type":"number"},"postCount":{"type":"number"}},"required":["reach","impressions","likes","comments","shares","saves","clicks","postCount"]},"posts":{"type":"array","items":{"type":"object","properties":{"postId":{"type":"string"},"body":{"type":"string"},"personaId":{"type":"string","nullable":true},"reach":{"type":"number"},"engagements":{"type":"number"}},"required":["postId","body","personaId","reach","engagements"]}},"personas":{"type":"array","items":{"type":"object","properties":{"personaId":{"type":"string"},"name":{"type":"string"},"reach":{"type":"number"},"engagements":{"type":"number"},"postCount":{"type":"number"}},"required":["personaId","name","reach","engagements","postCount"]}},"reach":{"type":"number"},"impressions":{"type":"number"},"engagements":{"type":"number"},"postCount":{"type":"number"}},"required":["campaignId","audience","available","findings"]},"CampaignDeliverableList":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"body":{"type":"string"},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]},"scheduledAt":{"type":"string","nullable":true,"format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"personaId":{"type":"string","nullable":true},"channelIds":{"type":"array","items":{"type":"string"}},"platforms":{"type":"array","items":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]}},"thumbnail":{"type":"string","nullable":true}},"required":["id","body","status","scheduledAt","updatedAt","personaId","channelIds","platforms","thumbnail"]}}},"required":["data"]},"CampaignPostAssignment":{"type":"object","properties":{"postId":{"type":"string"},"campaignId":{"type":"string","nullable":true},"personaId":{"type":"string","nullable":true},"status":{"type":"string","enum":["draft","pending_approval","pending_client_approval","approved","scheduled","delivered","partially_delivered","delivery_failed"]}},"required":["postId","campaignId","personaId","status"]},"AddCampaignPostRequest":{"type":"object","properties":{"personaId":{"type":"string","nullable":true,"minLength":1}}},"PersonaList":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","color","templateKey","archivedAt","createdAt","updatedAt"]}}},"required":["data"]},"GetOrCreatePersonaResult":{"type":"object","properties":{"persona":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","color","templateKey","archivedAt","createdAt","updatedAt"]},"created":{"type":"boolean"}},"required":["persona","created"]},"GetOrCreatePersonaRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":5000},"color":{"type":"string","nullable":true,"maxLength":32},"templateKey":{"type":"string","nullable":true,"maxLength":100}},"required":["name"]},"Persona":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"color":{"type":"string","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","color","templateKey","archivedAt","createdAt","updatedAt"]},"UpdatePersonaRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":5000},"color":{"type":"string","nullable":true,"maxLength":32}}},"ArchivePersonaRequest":{"type":"object","properties":{"archived":{"type":"boolean","default":true}}},"ObjectiveList":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"targetMetricKey":{"type":"string","nullable":true},"targetValue":{"type":"integer","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","targetMetricKey","targetValue","templateKey","archivedAt","createdAt","updatedAt"]}}},"required":["data"]},"GetOrCreateObjectiveResult":{"type":"object","properties":{"objective":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"targetMetricKey":{"type":"string","nullable":true},"targetValue":{"type":"integer","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","targetMetricKey","targetValue","templateKey","archivedAt","createdAt","updatedAt"]},"created":{"type":"boolean"}},"required":["objective","created"]},"GetOrCreateObjectiveRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":5000},"targetMetricKey":{"type":"string","nullable":true,"maxLength":100},"targetValue":{"type":"integer","nullable":true,"minimum":0},"templateKey":{"type":"string","nullable":true,"maxLength":100}},"required":["name"]},"Objective":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"targetMetricKey":{"type":"string","nullable":true},"targetValue":{"type":"integer","nullable":true},"templateKey":{"type":"string","nullable":true},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","workspaceId","name","description","targetMetricKey","targetValue","templateKey","archivedAt","createdAt","updatedAt"]},"UpdateObjectiveRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":5000},"targetMetricKey":{"type":"string","nullable":true,"maxLength":100},"targetValue":{"type":"integer","nullable":true,"minimum":0}}},"ArchiveObjectiveRequest":{"type":"object","properties":{"archived":{"type":"boolean","default":true}}},"ClientShareList":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"scope":{"type":"string","enum":["workspace","post","campaign"]},"subjectIds":{"type":"array","nullable":true,"items":{"type":"string"}},"label":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"expiresAt":{"type":"string","nullable":true,"format":"date-time"},"revokedAt":{"type":"string","nullable":true,"format":"date-time"},"lastUsedAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"revoked":{"type":"boolean"},"expired":{"type":"boolean"}},"required":["id","workspaceId","scope","subjectIds","label","email","expiresAt","revokedAt","lastUsedAt","createdBy","createdAt","revoked","expired"]}}},"required":["data"]},"CreatedClientShare":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"scope":{"type":"string","enum":["workspace","post","campaign"]},"subjectIds":{"type":"array","nullable":true,"items":{"type":"string"}},"label":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"expiresAt":{"type":"string","nullable":true,"format":"date-time"},"revokedAt":{"type":"string","nullable":true,"format":"date-time"},"lastUsedAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"revoked":{"type":"boolean"},"expired":{"type":"boolean"},"token":{"type":"string"},"url":{"type":"string"}},"required":["id","workspaceId","scope","subjectIds","label","email","expiresAt","revokedAt","lastUsedAt","createdBy","createdAt","revoked","expired","token","url"]},"CreateClientShareRequest":{"type":"object","properties":{"scope":{"type":"string","enum":["workspace","post","campaign"]},"subjectIds":{"type":"array","items":{"type":"string","minLength":1},"maxItems":100},"label":{"type":"string","maxLength":200},"email":{"type":"string","maxLength":320},"expiresAt":{"type":"string","nullable":true,"format":"date-time"}},"required":["scope"]},"QuestionnaireList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireSummary"}}},"required":["data"]},"QuestionnaireSummary":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"templateId":{"type":"string","nullable":true},"templateVersion":{"type":"integer","nullable":true},"name":{"type":"string"},"description":{"type":"string","nullable":true},"definitionVersion":{"type":"integer"},"status":{"type":"string","enum":["draft","active","archived"]},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"sectionCount":{"type":"integer"},"questionCount":{"type":"integer"},"linkCount":{"type":"integer"},"responseCount":{"type":"integer"}},"required":["id","workspaceId","templateId","templateVersion","name","description","definitionVersion","status","createdBy","createdAt","updatedAt","sectionCount","questionCount","linkCount","responseCount"]},"QuestionnaireDetail":{"type":"object","properties":{"questionnaire":{"$ref":"#/components/schemas/Questionnaire"},"links":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireLink"}},"responses":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireResponseSummary"}},"delegatedConnectAvailable":{"type":"boolean"}},"required":["questionnaire","links","responses","delegatedConnectAvailable"]},"Questionnaire":{"type":"object","properties":{"id":{"type":"string"},"workspaceId":{"type":"string"},"templateId":{"type":"string","nullable":true},"templateVersion":{"type":"integer","nullable":true},"name":{"type":"string"},"description":{"type":"string","nullable":true},"definitionVersion":{"type":"integer"},"status":{"type":"string","enum":["draft","active","archived"]},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"sectionCount":{"type":"integer"},"questionCount":{"type":"integer"},"linkCount":{"type":"integer"},"responseCount":{"type":"integer"},"definition":{"$ref":"#/components/schemas/QuestionnaireDefinition"}},"required":["id","workspaceId","templateId","templateVersion","name","description","definitionVersion","status","createdBy","createdAt","updatedAt","sectionCount","questionCount","linkCount","responseCount","definition"]},"QuestionnaireDefinition":{"type":"object","properties":{"version":{"type":"number","enum":[1]},"intro":{"type":"object","properties":{"heading":{"type":"string","minLength":1,"maxLength":300},"body":{"type":"string","maxLength":2000}},"required":["heading"],"additionalProperties":false},"sections":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"title":{"type":"string","minLength":1,"maxLength":300},"description":{"type":"string","maxLength":2000},"blocks":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["short_text"]},"maxLength":{"type":"integer","minimum":1,"maximum":500,"default":200}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["long_text"]},"maxLength":{"type":"integer","minimum":1,"maximum":10000,"default":5000}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["email"]}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["url"]}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["url_list"]},"maxItems":{"type":"integer","minimum":1,"maximum":50,"default":10}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["number"]},"min":{"type":"number"},"max":{"type":"number"}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["date"]}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["single_choice"]},"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300}},"required":["id","label"],"additionalProperties":false},"minItems":2,"maxItems":50},"allowOther":{"type":"boolean","default":false}},"required":["id","label","kind","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["multi_choice"]},"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300}},"required":["id","label"],"additionalProperties":false},"minItems":2,"maxItems":50},"allowOther":{"type":"boolean","default":false}},"required":["id","label","kind","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["dropdown"]},"options":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300}},"required":["id","label"],"additionalProperties":false},"minItems":2,"maxItems":50}},"required":["id","label","kind","options"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["yes_no"]}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["scale"]},"min":{"type":"integer","default":1},"max":{"type":"integer","default":5},"minLabel":{"type":"string","maxLength":60},"maxLabel":{"type":"string","maxLength":60}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["color_list"]},"maxItems":{"type":"integer","minimum":1,"maximum":12,"default":6}},"required":["id","label","kind"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["file_upload"]},"accept":{"type":"array","items":{"type":"string","minLength":1},"minItems":1,"maxItems":20},"maxFiles":{"type":"integer","minimum":1,"maximum":20,"default":5}},"required":["id","label","kind","accept"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["statement"]},"body":{"type":"string","maxLength":2000},"confirmLabel":{"type":"string","maxLength":300}},"required":["id","label","kind","body"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","minLength":1,"maxLength":40},"label":{"type":"string","minLength":1,"maxLength":300},"helpText":{"type":"string","maxLength":2000},"required":{"type":"boolean","default":false},"showWhen":{"type":"object","properties":{"blockId":{"type":"string","minLength":1,"maxLength":40},"op":{"type":"string","enum":["equals","not_equals","includes","is_answered"]},"value":{"type":"string","maxLength":300}},"required":["blockId","op"],"additionalProperties":false},"mapping":{"oneOf":[{"type":"object","properties":{"target":{"type":"string","enum":["workspace.name"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["workspace.logo"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.voice"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["brand.competitors"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["persona"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["objective"]},"metricKey":{"type":"string","maxLength":100}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.creativeDirection"]}},"required":["target"],"additionalProperties":false},{"type":"object","properties":{"target":{"type":"string","enum":["campaign.monthlyPostTarget"]}},"required":["target"],"additionalProperties":false}]},"kind":{"type":"string","enum":["connect_channels"]},"platforms":{"type":"array","items":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"minItems":1},"minimum":{"type":"integer","minimum":0,"default":0}},"required":["id","label","kind","platforms"],"additionalProperties":false}]},"maxItems":50}},"required":["id","title","blocks"],"additionalProperties":false},"minItems":1,"maxItems":20},"outro":{"type":"object","properties":{"heading":{"type":"string","minLength":1,"maxLength":300},"body":{"type":"string","maxLength":2000}},"required":["heading"],"additionalProperties":false}},"required":["version","intro","sections","outro"],"additionalProperties":false},"QuestionnaireLink":{"type":"object","properties":{"id":{"type":"string"},"questionnaireId":{"type":"string"},"workspaceId":{"type":"string"},"recipientEmail":{"type":"string","nullable":true},"recipientName":{"type":"string","nullable":true},"note":{"type":"string","nullable":true},"expiresAt":{"type":"string","format":"date-time"},"revokedAt":{"type":"string","nullable":true,"format":"date-time"},"lastUsedAt":{"type":"string","nullable":true,"format":"date-time"},"reminderDays":{"type":"array","items":{"type":"integer","minimum":1,"maximum":60},"maxItems":5},"lastReminderAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"definitionVersion":{"type":"integer"},"state":{"type":"string","enum":["open","submitted","revoked","expired"]}},"required":["id","questionnaireId","workspaceId","recipientEmail","recipientName","note","expiresAt","revokedAt","lastUsedAt","reminderDays","lastReminderAt","createdBy","createdAt","definitionVersion","state"]},"QuestionnaireResponseSummary":{"type":"object","properties":{"id":{"type":"string"},"linkId":{"type":"string"},"status":{"type":"string","enum":["draft","submitted","applied"]},"respondentName":{"type":"string","nullable":true},"respondentEmail":{"type":"string","nullable":true},"startedAt":{"type":"string","format":"date-time"},"submittedAt":{"type":"string","nullable":true,"format":"date-time"},"appliedAt":{"type":"string","nullable":true,"format":"date-time"}},"required":["id","linkId","status","respondentName","respondentEmail","startedAt","submittedAt","appliedAt"]},"CreateQuestionnaireRequest":{"type":"object","properties":{"templateId":{"type":"string","nullable":true,"minLength":1},"name":{"type":"string","minLength":1,"maxLength":200}}},"UpdateQuestionnaireRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":2000},"definition":{"$ref":"#/components/schemas/QuestionnaireDefinition"}}},"SetQuestionnaireStatusRequest":{"type":"object","properties":{"status":{"type":"string","enum":["draft","active","archived"]}},"required":["status"]},"QuestionnaireLinkList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireLink"}}},"required":["data"]},"CreatedQuestionnaireLink":{"type":"object","properties":{"id":{"type":"string"},"questionnaireId":{"type":"string"},"workspaceId":{"type":"string"},"recipientEmail":{"type":"string","nullable":true},"recipientName":{"type":"string","nullable":true},"note":{"type":"string","nullable":true},"expiresAt":{"type":"string","format":"date-time"},"revokedAt":{"type":"string","nullable":true,"format":"date-time"},"lastUsedAt":{"type":"string","nullable":true,"format":"date-time"},"reminderDays":{"type":"array","items":{"type":"integer","minimum":1,"maximum":60},"maxItems":5},"lastReminderAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"definitionVersion":{"type":"integer"},"state":{"type":"string","enum":["open","submitted","revoked","expired"]},"url":{"type":"string","format":"uri","description":"The public form. Returned only here: Posty stores a hash of the token, so the URL cannot be fetched again."}},"required":["id","questionnaireId","workspaceId","recipientEmail","recipientName","note","expiresAt","revokedAt","lastUsedAt","reminderDays","lastReminderAt","createdBy","createdAt","definitionVersion","state","url"]},"CreateQuestionnaireLinkRequest":{"type":"object","properties":{"recipientName":{"type":"string","nullable":true,"maxLength":200},"note":{"type":"string","nullable":true,"maxLength":2000},"expiresAt":{"type":"string","format":"date-time","description":"Defaults to 30 days from now; capped at 180 days."}},"additionalProperties":false},"QuestionnaireResponseList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireResponseSummary"}}},"required":["data"]},"QuestionnaireExport":{"type":"object","properties":{"columns":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"}},"required":["id","label"]}},"rows":{"type":"array","items":{"type":"object","properties":{"respondentName":{"type":"string","nullable":true},"respondentEmail":{"type":"string","nullable":true},"submittedAt":{"type":"string","nullable":true,"format":"date-time"},"cells":{"type":"array","items":{"type":"string"}}},"required":["respondentName","respondentEmail","submittedAt","cells"]}}},"required":["columns","rows"]},"QuestionnaireResponseDetail":{"type":"object","properties":{"response":{"$ref":"#/components/schemas/QuestionnaireResponse"},"media":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"url":{"type":"string","nullable":true},"title":{"type":"string"},"contentType":{"type":"string"}},"required":["id","url","title","contentType"]}},"channels":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"provider":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"name":{"type":"string"},"avatarUrl":{"type":"string","nullable":true},"connectedHere":{"type":"boolean"}},"required":["id","provider","name","avatarUrl","connectedHere"]}}},"required":["response","media","channels"]},"QuestionnaireResponse":{"type":"object","properties":{"id":{"type":"string"},"linkId":{"type":"string"},"status":{"type":"string","enum":["draft","submitted","applied"]},"respondentName":{"type":"string","nullable":true},"respondentEmail":{"type":"string","nullable":true},"startedAt":{"type":"string","format":"date-time"},"submittedAt":{"type":"string","nullable":true,"format":"date-time"},"appliedAt":{"type":"string","nullable":true,"format":"date-time"},"questionnaireId":{"type":"string"},"workspaceId":{"type":"string"},"questionnaireName":{"type":"string"},"answers":{"$ref":"#/components/schemas/QuestionnaireAnswers"},"definition":{"allOf":[{"$ref":"#/components/schemas/QuestionnaireDefinition"},{"description":"The form as it was when this link was sent."}]},"appliedBy":{"type":"string","nullable":true},"appliedTargets":{"type":"array","items":{"type":"object","properties":{"blockId":{"type":"string"},"target":{"type":"string"},"value":{"type":"string"},"appliedAt":{"type":"number"}},"required":["blockId","target","value","appliedAt"],"additionalProperties":false}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","linkId","status","respondentName","respondentEmail","startedAt","submittedAt","appliedAt","questionnaireId","workspaceId","questionnaireName","answers","definition","appliedBy","appliedTargets","createdAt","updatedAt"]},"QuestionnaireAnswers":{"type":"object","additionalProperties":{"oneOf":[{"type":"object","properties":{"kind":{"type":"string","enum":["short_text"]},"value":{"type":"string"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["long_text"]},"value":{"type":"string"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["email"]},"value":{"type":"string"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["url"]},"value":{"type":"string"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["url_list"]},"values":{"type":"array","items":{"type":"string"}}},"required":["kind","values"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["number"]},"value":{"type":"number"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["date"]},"value":{"type":"string"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["single_choice"]},"optionId":{"type":"string","nullable":true},"other":{"type":"string"}},"required":["kind","optionId"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["multi_choice"]},"optionIds":{"type":"array","items":{"type":"string"}},"other":{"type":"string"}},"required":["kind","optionIds"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["dropdown"]},"optionId":{"type":"string"}},"required":["kind","optionId"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["yes_no"]},"value":{"type":"boolean"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["scale"]},"value":{"type":"integer"}},"required":["kind","value"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["color_list"]},"values":{"type":"array","items":{"type":"string"}}},"required":["kind","values"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["file_upload"]},"mediaIds":{"type":"array","items":{"type":"string"}}},"required":["kind","mediaIds"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["statement"]},"confirmed":{"type":"boolean"}},"required":["kind","confirmed"],"additionalProperties":false},{"type":"object","properties":{"kind":{"type":"string","enum":["connect_channels"]},"channelIds":{"type":"array","items":{"type":"string"}}},"required":["kind","channelIds"],"additionalProperties":false}]}},"AppliedQuestionnaireResponse":{"type":"object","properties":{"response":{"$ref":"#/components/schemas/QuestionnaireResponse"},"campaignPrefill":{"type":"object","properties":{"creativeDirection":{"type":"string"},"monthlyPostTarget":{"type":"integer"},"objectiveIds":{"type":"array","items":{"type":"string"}},"personaIds":{"type":"array","items":{"type":"string"}}},"required":["objectiveIds","personaIds"]}},"required":["response","campaignPrefill"]},"ApplyQuestionnaireResponseRequest":{"type":"object","properties":{"blockIds":{"type":"array","items":{"type":"string","minLength":1},"maxItems":200}},"required":["blockIds"]},"QuestionnaireTemplateList":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/QuestionnaireTemplateSummary"}},"starters":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"sectionCount":{"type":"integer"}},"required":["key","name","description","sectionCount"]}}},"required":["data","starters"]},"QuestionnaireTemplateSummary":{"type":"object","properties":{"id":{"type":"string"},"organizationId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"definitionVersion":{"type":"integer"},"starterKey":{"type":"string","nullable":true},"archived":{"type":"boolean"},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"sectionCount":{"type":"integer"},"questionCount":{"type":"integer"}},"required":["id","organizationId","name","description","definitionVersion","starterKey","archived","archivedAt","createdBy","createdAt","updatedAt","sectionCount","questionCount"]},"QuestionnaireTemplate":{"type":"object","properties":{"id":{"type":"string"},"organizationId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string","nullable":true},"definitionVersion":{"type":"integer"},"starterKey":{"type":"string","nullable":true},"archived":{"type":"boolean"},"archivedAt":{"type":"string","nullable":true,"format":"date-time"},"createdBy":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"sectionCount":{"type":"integer"},"questionCount":{"type":"integer"},"definition":{"$ref":"#/components/schemas/QuestionnaireDefinition"}},"required":["id","organizationId","name","description","definitionVersion","starterKey","archived","archivedAt","createdBy","createdAt","updatedAt","sectionCount","questionCount","definition"]},"CreateQuestionnaireTemplateRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":2000},"definition":{"$ref":"#/components/schemas/QuestionnaireDefinition"},"starterKey":{"type":"string","maxLength":100}}},"UpdateQuestionnaireTemplateRequest":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":200},"description":{"type":"string","nullable":true,"maxLength":2000},"definition":{"$ref":"#/components/schemas/QuestionnaireDefinition"}}},"AnalyticsOverview":{"type":"object","properties":{"retentionDays":{"type":"number","description":"Days of history the workspace's plan retains. 0 means the plan includes no analytics."},"requestedDays":{"type":"number"},"effectiveDays":{"type":"number","description":"Length of the window actually read, after clamping."},"startDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"endDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"prevStartDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"provisionalSinceDate":{"type":"string","nullable":true,"pattern":"^\\d{4}-\\d{2}-\\d{2}$","description":"Dates on or after this are still collecting (platform insight lag) and may rise."},"planName":{"type":"string","enum":["free","starter","pro","business"]},"audienceAnalyticsEnabled":{"type":"boolean"},"kpis":{"$ref":"#/components/schemas/AnalyticsKpis"},"channelSummaries":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsChannelSummary"}},"dailyTotals":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsDailyTotal"}},"dailyByPlatform":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsDailyByPlatform"}},"topPosts":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsTopPost"}},"backfillingChannels":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsBackfillingChannel"},"description":"Channels still importing their history, so totals may be incomplete."}},"required":["retentionDays","requestedDays","effectiveDays","startDate","endDate","prevStartDate","provisionalSinceDate","planName","audienceAnalyticsEnabled","kpis","channelSummaries","dailyTotals","dailyByPlatform","topPosts","backfillingChannels"]},"AnalyticsKpis":{"type":"object","properties":{"followers":{"type":"number"},"views":{"type":"number"},"impressions":{"type":"number"},"reach":{"type":"number"},"engagements":{"type":"number"},"engagementRateBp":{"type":"number","nullable":true},"clicks":{"type":"number"},"saves":{"type":"number"},"posts":{"type":"number"},"prevFollowers":{"type":"number"},"prevViews":{"type":"number"},"prevImpressions":{"type":"number"},"prevReach":{"type":"number"},"prevEngagements":{"type":"number"},"prevEngagementRateBp":{"type":"number","nullable":true},"prevClicks":{"type":"number"},"prevSaves":{"type":"number"},"prevPosts":{"type":"number"}},"required":["followers","views","impressions","reach","engagements","engagementRateBp","clicks","saves","posts","prevFollowers","prevViews","prevImpressions","prevReach","prevEngagements","prevEngagementRateBp","prevClicks","prevSaves","prevPosts"],"description":"Totals for the window and the previous window of equal length (prev*). Engagements are likes, comments, shares and saves gained in the window. Rates are basis points (250 = 2.5%)."},"AnalyticsChannelSummary":{"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"channelLabel":{"type":"string","nullable":true},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"followersLatest":{"type":"number","nullable":true},"accountViewsTotal":{"type":"number","nullable":true},"accountReachTotal":{"type":"number","nullable":true},"profileVisitsTotal":{"type":"number","nullable":true},"engagementsTotal":{"type":"number","nullable":true},"postsPublished":{"type":"number"},"prevFollowersLatest":{"type":"number","nullable":true},"prevAccountViewsTotal":{"type":"number","nullable":true},"prevEngagementsTotal":{"type":"number","nullable":true}},"required":["channelId","channelName","channelLabel","platform","followersLatest","accountViewsTotal","accountReachTotal","profileVisitsTotal","engagementsTotal","postsPublished","prevFollowersLatest","prevAccountViewsTotal","prevEngagementsTotal"]},"AnalyticsDailyTotal":{"type":"object","properties":{"date":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"impressions":{"type":"number"},"reach":{"type":"number"},"likes":{"type":"number"},"comments":{"type":"number"},"shares":{"type":"number"},"saves":{"type":"number"},"clicks":{"type":"number"},"videoViews":{"type":"number"},"accountReach":{"type":"number"},"accountViews":{"type":"number"},"followers":{"type":"number"},"posts":{"type":"number"}},"required":["date","impressions","reach","likes","comments","shares","saves","clicks","videoViews","accountReach","accountViews","followers","posts"]},"AnalyticsDailyByPlatform":{"type":"object","properties":{"date":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"impressions":{"type":"number"},"reach":{"type":"number"},"likes":{"type":"number"},"comments":{"type":"number"},"shares":{"type":"number"},"saves":{"type":"number"},"clicks":{"type":"number"},"videoViews":{"type":"number"},"accountReach":{"type":"number"},"accountViews":{"type":"number"},"followersCount":{"type":"number"}},"required":["date","platform","impressions","reach","likes","comments","shares","saves","clicks","videoViews","accountReach","accountViews","followersCount"]},"AnalyticsTopPost":{"type":"object","properties":{"postId":{"type":"string"},"postContentId":{"type":"string"},"postTitle":{"type":"string"},"channelId":{"type":"string"},"channelName":{"type":"string"},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"contentType":{"type":"string","nullable":true,"enum":["image","video","reel","story","carousel","text",null]},"thumbnailUrl":{"type":"string","nullable":true},"permalink":{"type":"string","nullable":true},"date":{"type":"string","description":"Publish time, ISO 8601."},"deletedOnPlatformAt":{"type":"string","nullable":true},"impressions":{"type":"number","nullable":true},"reach":{"type":"number","nullable":true},"likes":{"type":"number","nullable":true},"comments":{"type":"number","nullable":true},"shares":{"type":"number","nullable":true},"saves":{"type":"number","nullable":true},"engagementRateBp":{"type":"number","nullable":true}},"required":["postId","postContentId","postTitle","channelId","channelName","platform","contentType","thumbnailUrl","permalink","date","deletedOnPlatformAt","impressions","reach","likes","comments","shares","saves","engagementRateBp"]},"AnalyticsBackfillingChannel":{"type":"object","properties":{"channelId":{"type":"string"},"channelName":{"type":"string"},"channelLabel":{"type":"string","nullable":true},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]}},"required":["channelId","channelName","channelLabel","platform"]},"AnalyticsDetail":{"type":"object","properties":{"lifetimeAsOf":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"postRows":{"type":"array","items":{"$ref":"#/components/schemas/AnalyticsPostPerformance"},"description":"Posts with analytics in the window, highest period impressions first. Top-level metrics are gains within the window."},"contentTypeBreakdown":{"type":"array","items":{"type":"object","properties":{"contentType":{"type":"string"},"postCount":{"type":"number"},"avgEngagementRateBp":{"type":"number"}},"required":["contentType","postCount","avgEngagementRateBp"]}},"topHashtags":{"type":"array","items":{"type":"object","properties":{"hashtag":{"type":"string"},"postCount":{"type":"number"},"avgEngagementRateBp":{"type":"number"}},"required":["hashtag","postCount","avgEngagementRateBp"]}},"heatmap":{"type":"array","items":{"type":"object","properties":{"dayOfWeek":{"type":"number","description":"0 is Sunday (UTC)."},"hourOfDay":{"type":"number","description":"UTC hour, 0 to 23."},"avgEngagementRateBp":{"type":"number"},"postCount":{"type":"number"}},"required":["dayOfWeek","hourOfDay","avgEngagementRateBp","postCount"]},"description":"Average engagement rate by UTC publish weekday and hour."}},"required":["lifetimeAsOf","postRows","contentTypeBreakdown","topHashtags","heatmap"]},"AnalyticsPostPerformance":{"type":"object","properties":{"postId":{"type":"string"},"postContentId":{"type":"string"},"postTitle":{"type":"string"},"channelId":{"type":"string"},"channelName":{"type":"string"},"platform":{"type":"string","enum":["bluesky","discord","facebook","instagram","linkedin","pinterest","threads","tiktok","wordpress","youtube"]},"contentType":{"type":"string","nullable":true,"enum":["image","video","reel","story","carousel","text",null]},"thumbnailUrl":{"type":"string","nullable":true},"permalink":{"type":"string","nullable":true},"date":{"type":"string","description":"Publish time, ISO 8601."},"hashtags":{"type":"array","items":{"type":"string"}},"externalPostId":{"type":"string","nullable":true},"metricsDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"lifetime":{"$ref":"#/components/schemas/AnalyticsLifetimeMetrics"},"impressions":{"type":"number","nullable":true},"reach":{"type":"number","nullable":true},"likes":{"type":"number","nullable":true},"comments":{"type":"number","nullable":true},"shares":{"type":"number","nullable":true},"saves":{"type":"number","nullable":true},"engagementRateBp":{"type":"number","nullable":true},"clicks":{"type":"number","nullable":true},"videoViews":{"type":"number","nullable":true}},"required":["postId","postContentId","postTitle","channelId","channelName","platform","contentType","thumbnailUrl","permalink","date","hashtags","externalPostId","metricsDate","lifetime","impressions","reach","likes","comments","shares","saves","engagementRateBp","clicks","videoViews"]},"AnalyticsLifetimeMetrics":{"type":"object","properties":{"impressions":{"type":"number","nullable":true},"reach":{"type":"number","nullable":true},"likes":{"type":"number","nullable":true},"comments":{"type":"number","nullable":true},"shares":{"type":"number","nullable":true},"saves":{"type":"number","nullable":true},"clicks":{"type":"number","nullable":true},"videoViews":{"type":"number","nullable":true},"engagementRateBp":{"type":"number","nullable":true}},"required":["impressions","reach","likes","comments","shares","saves","clicks","videoViews","engagementRateBp"],"description":"Each metric's latest lifetime reading on or before the window end. Null means not reported by the platform."},"AnalyticsAudience":{"type":"object","properties":{"startDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"endDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"audience":{"type":"array","items":{"type":"object","properties":{"dimension":{"type":"string"},"dimensionValue":{"type":"string"},"valuePctBp":{"type":"number","nullable":true},"valueCount":{"type":"number","nullable":true}},"required":["dimension","dimensionValue","valuePctBp","valueCount"]}}},"required":["startDate","endDate","audience"]},"AnalyticsChannelNativeMetrics":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"object","properties":{"metricKey":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"unit":{"type":"string","enum":["count","rate_bp","seconds","milliseconds","currency_cents"]},"semantic":{"type":"string","enum":["daily_delta","cumulative","window_aggregate"]},"value":{"type":"number"},"postCount":{"type":"number"}},"required":["metricKey","label","description","unit","semantic","value","postCount"]}}},"required":["metrics"]},"AnalyticsPostNativeMetrics":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"object","properties":{"metricKey":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"},"unit":{"type":"string","enum":["count","rate_bp","seconds","milliseconds","currency_cents"]},"semantic":{"type":"string","enum":["daily_delta","cumulative","window_aggregate"]},"value":{"type":"number"}},"required":["metricKey","label","description","unit","semantic","value"]}}},"required":["metrics"]},"AnalyticsRetentionCurve":{"type":"object","properties":{"samples":{"type":"array","items":{"type":"object","properties":{"elapsedRatio":{"type":"number"},"watchRatio":{"type":"number"},"performance":{"type":"number"}},"required":["elapsedRatio","watchRatio"]}}},"required":["samples"]},"AnalyticsPostDailySeries":{"type":"object","properties":{"series":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"},"impressions":{"type":"number"},"reach":{"type":"number"},"likes":{"type":"number"},"comments":{"type":"number"},"shares":{"type":"number"},"saves":{"type":"number"},"videoViews":{"type":"number"},"engagementRateBp":{"type":"number","nullable":true}},"required":["date","impressions","reach","likes","comments","shares","saves","videoViews","engagementRateBp"]}}},"required":["series"]},"LinkBioPage":{"type":"object","properties":{"id
[...]
